import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import H4A2b;

public class H4A2c extends Applet implements ActionListener
{
  int toplamzaratisi=0;
  int toplam=0;
  TextField ilkzar,ikincizar;
  Button salla; //zar atma dgmesi 
  int zar1,zar2;
  H4A2b z=new H4A2b();
  public void init()
  {
  //programi baslat
  ilkzar=new TextField(10); // Textfield sinifi ilkzar nesnesini yarat  
  add(ilkzar);              // ilk zar nesnesini pencereye ekle
  ikincizar=new TextField(10);// Textfield sinifi ikincizar nesnesini yarat
  add(ikincizar);               // ikinci zar nesnesini pencereye ekle  
  salla=new Button("Zari salla ve at");
  add(salla);
  salla.addActionListener(this);
  }
  
  public void actionPerformed(ActionEvent e)
  {
  zar1=z.zar();
  zar2=z.zar();
  ilkzar.setText(Integer.toString(zar1));
  ikincizar.setText(Integer.toString(zar2));
  toplam+=(zar1+zar2);
  toplamzaratisi++;
  repaint();
  }

  public void paint( Graphics g)
  {
  g.drawString("toplam =  "+toplam+"  Atilan zar sayisi = "+toplamzaratisi,25,50);
  }
}

